Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 507912 - Review Request: alp - Advanced Linux Programming, Book By CodeSourcery LLC, PDF format
Summary: Review Request: alp - Advanced Linux Programming, Book By CodeSourcery LLC, P...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-06-24 17:25 UTC by steve
Modified: 2010-12-17 15:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:22:57 UTC


Attachments (Terms of Use)

Description steve 2009-06-24 17:25:12 UTC
Spec URL: http://lonetwin.net/yum/SPECS/alp.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/alp-1.0-1.fc10.src.rpm
Description:

Advanced Linux Programming is intended for the programmer already familiar with
the C programming language. Authors Alex Samuel, Jeffrey Oldham, and Mark
Mitchell of CodeSourcery, LLC take a tutorial approach and teach the most
important concepts and power features of the GNU/Linux system in application
programs.

This is the PDF version of the book as well as the example code listings

Comment 1 steve 2009-06-25 21:19:44 UTC
Made a minor change -- removed the dist tag, since it doesn't really serve any
purpose for this rpm (same as the reasoning in bz 507915). Newer spec and srpm
are at:
Spec URL: http://lonetwin.net/yum/SPECS/alp.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/alp-1.0-1.src.rpm

Comment 2 steve 2009-07-02 15:18:17 UTC
Brought back the dist tag. Doesn't seem like a good idea to remove it considering the complications in building and tagging. Also, added the version to the path of the final install directory.

New spec and srpm are at:
Spec URL: http://lonetwin.net/yum/SPECS/alp.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/alp-1.0-2.fc10.src.rpm

Comment 3 Michael Schwendt 2009-07-09 06:49:01 UTC
> Brought back the dist tag. Doesn't seem like a good idea to remove
> it considering the complications in building and tagging.

Well, that's not true. You would tag and build it only for the oldest dist branch and let koji inherit the builds for the newer targets. Example: You would tag and build alp-1.0-1 for F-10, and koji would make the built packages available for F-11 and devel, too. [The only minor problem is that there is no inheritence between the EPEL and Fedora targets, afaik, but in case you plan to publish this pkg for EPEL, you could simply add a version-less ".el" to the %release value.]

Comment 4 Jason Tibbitts 2009-07-09 15:21:46 UTC
Actually that requires rel-eng intervention and I find it difficult to imagine that it's worth the effort given that it provides exactly zero benefit.  We currently use a different signing key per release, so the packages end up being different anyway.  But if you want to ask rel-eng yourself, feel free.  Maybe you'll get a different answer than I did.

Comment 5 steve 2009-11-24 05:23:00 UTC
Updating this review request for F11. The dist tag remains. I've found it useful now that I have packaged a couple of similar rpms (ldd-pdf and javanotes). The newer spec and src are at:

Spec URL: http://lonetwin.net/yum/SPECS/alp.spec
SRPM URL: http://lonetwin.net/yum/SRPMS/alp-1.0-2.fc11.src.rpm

Comment 6 Jason Tibbitts 2010-11-01 20:20:31 UTC
A few comments, assuming that someone's still interested in submitting this package after so long:

The package name is pretty bad; why not something that represents the actual name of the document?

You should include several separate SourceN: urls for each section, instead of manually constructing a tarball from all of the downloads.

The license seems incorrect, since the code listings are GPL.  (I didn't check the version.)

Various lines in the spec file are unnecessary on modern Fedora (BuildRoot:, empty build section, first line of %install, and the entire %clean section on F13+).


Note You need to log in before you can comment on or make changes to this bug.